#
# spec file for package apel
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           apel
BuildRequires:  emacs-nox
Requires:       emacs
Requires:       emacs_program
Summary:        A Portable Emacs Library
License:        GPL-2.0+
Group:          Productivity/Editors/Emacs
Version:        10.8
Release:        2.20
Url:            http://www.m17n.org/index.html
Source0:        apel-%{version}.tar.bz2
# Source0:      ftp://ftp.jaist.ac.jp/pub/GNU/elisp/yamaoka/apel/apel-%{version}.tar.gz
# Source0:      http://kanji.zinbun.kyoto-u.ac.jp/~tomo/lemi/dist/apel/apel-%{version}.tar.gz
Source1:        suse-start-apel.el
Patch0:         prevent-fontset-error.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A Portable Emacs Library

%prep
%setup -q
%patch0 -p1
cp -p %{S:1} .
iconv -fiso2022jp -tutf-8 README.ja > README.ja.new
mv README.ja.new README.ja

%build
make "CFLAGS=%{optflags}" LDFLAGS=-s EMACS=emacs PREFIX=%{_prefix} %{?_smp_mflags}

%install
make install EMACS=emacs PREFIX=%{buildroot}%{_prefix}
install -m 644 suse-start-apel.el %{buildroot}%{_datadir}/emacs/site-lisp/
# make install.man

%files
%defattr(-,root,root)
%doc README.en README.ja ChangeLog
%config %{_prefix}/share/emacs/site-lisp/suse-start-apel.el
%{_prefix}/share/emacs/site-lisp/emu
%{_prefix}/share/emacs/site-lisp/apel

%changelog
* Wed Jul  4 2012 werner@suse.de
- updated to version 10.8:
  * EMU-ELS (emu-modules): Add setting for GNU Emacs 23 or later.
  * invisible.el: In GNU Emacs 23, inv-19.el overrides builtin
    function `invisible-p'.  To fix the bug, require `inv-23' when
    running with GNU Emacs 23 or later.
  * poe.el (format-time-string): Fix problem on GNU Emacs 22.2
- Add patch from Debian:
  * poem-e20.el (fontset-pixel-size): Don't cause an error. Workaround
    for Emacs 23.
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Wed Aug 19 2009 tiwai@suse.de
- updated to version 10.7:
  Updated for newer FLIM and WL; See ChangeLog file for details
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Feb 14 2004 mfabian@suse.de
- update to 10.6
* Mon Jun 23 2003 schwab@suse.de
- Package is noarch.
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Mar 20 2001 kukuk@suse.de
- Fix Requires (emacs-nox -> emacs_program)
* Mon Mar 19 2001 ke@suse.de
- Add suse-start-apel.el.
* Mon Mar 19 2001 ke@suse.de
- Update to version 10.3 [#6736].
- Remove LC_CTYPE=ISO-8859-1 and EMACS_UNIBYTE=1.
- Use RPM macros.
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep  9 1999 bs@suse.de
- fixed call of Check at the end of %%install section
* Thu Apr 15 1999 werner@suse.de
- Add export LC_CTYPE=ISO-8859-1 and export EMACS_UNIBYTE=1
  to build *and* install section
* Sun Sep  6 1998 ke@suse.de
- initial package: version 8.17.
